org.apache.http.client.utils

## Class URLEncodedUtils

- java.lang.Object
- - org.apache.http.client.utils.URLEncodedUtils

-     public class URLEncodedUtils
      extends Object

  用于编码URL的实用程序集合。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONTENT_TYPE` 默认的HTML表单内容类型。

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `URLEncodedUtils()`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `format(Iterable<? extends NameValuePair> parameters, char parameterSeparator, Charset charset)` 返回适用于HTTP PUT或HTTP POST中的 `application/x-www-form-urlencoded`参数列表的字符串。
    `static String` | `format(Iterable<? extends NameValuePair> parameters, Charset charset)` 返回适用于HTTP PUT或HTTP POST中的 `application/x-www-form-urlencoded`参数列表的字符串。
    `static String` | `format(List<? extends NameValuePair> parameters, char parameterSeparator, String charset)` 返回适用于HTTP PUT或HTTP POST中的 `application/x-www-form-urlencoded`参数列表的字符串。
    `static String` | `format(List<? extends NameValuePair> parameters, String charset)` 返回适用于HTTP PUT或HTTP POST中的 `application/x-www-form-urlencoded`参数列表的字符串。
    `static boolean` | `isEncoded(HttpEntity entity)` 如果实体的Content-Type头为 `application/x-www-form-urlencoded`则返回true。
    `static List<NameValuePair>` | `parse(CharArrayBuffer buf, Charset charset, char... separators)` 返回使用给定字符编码从给定字符串解析的`NameValuePairs`的列表。
    `static List<NameValuePair>` | `parse(HttpEntity entity)` 从`HttpEntity`返回一个`NameValuePairs`的列表。
    `static void` | `parse(List<NameValuePair> parameters, Scanner scanner, String charset)` 已过时。 （4.4）使用`parse(String, java.nio.charset.Charset)`
    `static void` | `parse(List<NameValuePair> parameters, Scanner scanner, String parameterSepartorPattern, String charset)` 已过时。 （4.4）使用`parse(org.apache.http.util.CharArrayBuffer, java.nio.charset.Charset, char...)`
    `static List<NameValuePair>` | `parse(String s, Charset charset)` 返回使用给定字符编码从给定字符串解析的`NameValuePairs`列表。
    `static List<NameValuePair>` | `parse(String s, Charset charset, char... separators)` 返回使用给定字符编码从给定字符串解析的`NameValuePairs`的列表。
    `static List<NameValuePair>` | `parse(URI uri, Charset charset)` 返回从URI的查询部分构建的`NameValuePairs`的列表。
    `static List<NameValuePair>` | `parse(URI uri, String charsetName)` 已过时。 4.5使用`parse(URI, Charset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### CONTENT_TYPE

          public static final String CONTENT_TYPE

      默认的HTML表单内容类型。
      另请参见：
        Constant Field Values

  - ### 构造方法详细信息

    - #### URLEncodedUtils

          public URLEncodedUtils()

  - ### 方法详细信息

    - #### parse

          public static List<NameValuePair> parse(URI uri,
                                  String charsetName)

      已过时。 4.5使用`parse(URI, Charset)`

    - #### parse

          public static List<NameValuePair> parse(URI uri,
                                  Charset charset)

      返回从URI的查询部分构建的`NameValuePairs`的列表。 例如， `http://example.org/path/to/file?a=1&b=2&c=3`的URI将返回三个NameValuePairs的列表，一个用于a = 1，一个用于b = 2，一个用于c = 3。 根据惯例， `'&'`和`';'`被接受为参数分隔符。

      这在解析HTTP PUT时通常很有用。 此API目前仅用于测试。

      参数
        `uri` - 要解析的URI
        `charset` - 解析查询时要使用的字符集
      结果
        从URI的查询部分构建的`NameValuePair`的列表。
      从以下版本开始：
        4.5

    - #### parse

          public static List<NameValuePair> parse(HttpEntity entity)
                                           throws IOException

      从`HttpEntity`返回一份`NameValuePairs`的列表。 编码取自实体的Content-Encoding标题。

      这通常在解析HTTP POST时使用。

      参数
        `entity` - 要解析的实体
      结果
        从URI的查询部分构建的`NameValuePair`的列表。
      异常
        `IOException` - 如果获取实体的数据有异常。

    - #### isEncoded

          public static boolean isEncoded(HttpEntity entity)

      如果实体的Content-Type头为 `application/x-www-form-urlencoded`则返回true。

    - #### parse

          @Deprecated
          public static void parse(List<NameValuePair> parameters,
                              Scanner scanner,
                              String charset)

      已过时。 （4.4）使用`parse(String, java.nio.charset.Charset)`
      将扫描仪中的所有参数添加到`parameters`的列表中，由`encoding`编码。 例如，包含字符串`a=1&b=2&c=3`的扫描仪将将`NameValuePairs` a = 1，b = 2和c = 3添加到参数列表中。 按惯例， `'&'`和`';'`被接受为参数分隔符。
      参数
        `parameters` - 添加参数的列表。
        `scanner` - 包含要解析的参数的输入。
        `charset` - 解码参数时使用的编码。

    - #### parse

          @Deprecated
          public static void parse(List<NameValuePair> parameters,
                              Scanner scanner,
                              String parameterSepartorPattern,
                              String charset)

      已过时。 （4.4）使用`parse(org.apache.http.util.CharArrayBuffer, java.nio.charset.Charset, char...)`
      将扫描仪中的所有参数添加到`parameters`的列表中，按`encoding`编码。 例如，包含字符串`a=1&b=2&c=3`的扫描仪将将`NameValuePairs` a = 1，b = 2和c = 3添加到参数列表中。
      参数
        `parameters` - 添加参数的列表。
        `scanner` - 包含要解析的参数的输入。
        `parameterSepartorPattern` - 参数分隔符的Pattern字符串，按照惯例 `"[&;]"`
        `charset` - 解码参数时使用的编码。

    - #### parse

          public static List<NameValuePair> parse(String s,
                                  Charset charset)

      返回使用给定字符编码从给定字符串解析的`NameValuePairs`的列表。 按惯例， `'&'`和`';'`被接受为参数分隔符。
      参数
        `s` - 要解析的文本。
        `charset` - 解码参数时使用的编码。
      结果
        从URI的查询部分构建的`NameValuePair`的列表。
      从以下版本开始：
        4.2

    - #### parse

          public static List<NameValuePair> parse(String s,
                                  Charset charset,
                                  char... separators)

      返回使用给定字符编码从给定字符串解析的`NameValuePairs`的列表。
      参数
        `s` - 要解析的文本。
        `charset` - 解码参数时使用的编码。
        `separators` - 元素分隔符。
      结果
        从URI的查询部分构建的`NameValuePair`的列表。
      从以下版本开始：
        4.3

    - #### parse

          public static List<NameValuePair> parse(CharArrayBuffer buf,
                                  Charset charset,
                                  char... separators)

      返回使用给定字符编码从给定字符串解析的`NameValuePairs`的列表。
      参数
        `buf` - 要解析的文本。
        `charset` - 解码参数时使用的编码。
        `separators` - 元素分隔符。
      结果
        从URI的查询部分构建的`NameValuePair`的列表。
      从以下版本开始：
        4.4

    - #### format

          public static String format(List<? extends NameValuePair> parameters,
                      String charset)

      返回适用于HTTP PUT或HTTP POST中的 `application/x-www-form-urlencoded`参数列表的字符串。
      参数
        `parameters` - 要包含的参数。
        `charset` - 要使用的编码。
      结果
        一个 `application/x-www-form-urlencoded`字符串

    - #### format

          public static String format(List<? extends NameValuePair> parameters,
                      char parameterSeparator,
                      String charset)

      返回适用于HTTP PUT或HTTP POST中的 `application/x-www-form-urlencoded`参数列表的字符串。
      参数
        `parameters` - 要包括的参数。
        `parameterSeparator` - 参数分隔符，按照惯例 `'&'`或 `';'` 。
        `charset` - 要使用的编码。
      结果
        一个 `application/x-www-form-urlencoded`字符串
      从以下版本开始：
        4.3

    - #### format

          public static String format(Iterable<? extends NameValuePair> parameters,
                      Charset charset)

      返回适用于HTTP PUT或HTTP POST中的 `application/x-www-form-urlencoded`参数列表的字符串。
      参数
        `parameters` - 要包含的参数。
        `charset` - 要使用的编码。
      结果
        一个 `application/x-www-form-urlencoded`字符串
      从以下版本开始：
        4.2

    - #### format

          public static String format(Iterable<? extends NameValuePair> parameters,
                      char parameterSeparator,
                      Charset charset)

      返回适用于HTTP PUT或HTTP POST中的 `application/x-www-form-urlencoded`参数列表的字符串。
      参数
        `parameters` - 要包含的参数。
        `parameterSeparator` - 参数分隔符，按照惯例 `'&'`或 `';'` 。
        `charset` - 要使用的编码。
      结果
        一个 `application/x-www-form-urlencoded`字符串
      从以下版本开始：
        4.3

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585